Page MenuHomePhabricator

Redirects to sections JavaScript (mediawiki.action.view.redirect) does not work on IE 10 and 11
Closed, ResolvedPublic

Description

Redirects to sections JavaScript (mediawiki.action.view.redirect) does not work on IE 10 and 11.

It seems that IE ignores URL fragment changes via the HTML5 history API (history.replaceState). We should try some location.hash-based workarounds and report this upstream.

Originally reported by Paine Ellsworth on [[en:WP:VPT]].


Version: 1.24rc
Severity: normal

Details

Reference
bz70176

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:36 AM
bzimport set Reference to bz70176.
matmarex created this task.Aug 29 2014, 2:08 PM

Change 157165 had a related patch set uploaded by Bartosz Dziewoński:
mediawiki.action.view.redirect: Work around a IE 10+ HTML5 history API bug

https://gerrit.wikimedia.org/r/157165

For the record, this was caused by I9d8d8347 (fix for bug 35045).

Change 157165 merged by jenkins-bot:
mediawiki.action.view.redirect: Work around a IE 10+ HTML5 history API bug

https://gerrit.wikimedia.org/r/157165

TheDJ added a comment.Aug 29 2014, 4:38 PM

Also reported upstream with Microsoft, since I have an account for that nowadays..

https://connect.microsoft.com/IE/feedbackdetail/view/959007/history-replacestate-doesnt-update-scroll-position-state-to-new-hash-fragment-unlike-other-vendors

Thx for that excellent description Bartosz

Change 157175 had a related patch set uploaded by Bartosz Dziewoński:
mediawiki.action.view.redirect: Work around a IE 10+ HTML5 history API bug

https://gerrit.wikimedia.org/r/157175

Change 157176 had a related patch set uploaded by Bartosz Dziewoński:
mediawiki.action.view.redirect: Work around a IE 10+ HTML5 history API bug

https://gerrit.wikimedia.org/r/157176

Change 157175 merged by jenkins-bot:
mediawiki.action.view.redirect: Work around a IE 10+ HTML5 history API bug

https://gerrit.wikimedia.org/r/157175

Change 157176 merged by jenkins-bot:
mediawiki.action.view.redirect: Work around a IE 10+ HTML5 history API bug

https://gerrit.wikimedia.org/r/157176

Backported and deployed by Ori.

Krenair moved this task from Backlog to Reported Upstream on the Upstream board.Mar 29 2015, 8:49 PM